QueryApprovalStatus -> SimulateCommitChaincodeDef

Update samples now that QueryApprovalStatus has been renamed
to SimulateCommitChaincodeDefinition.

FAB-15831 #done

Change-Id: I4e12ca2c8424bf8d6537e77e1a9de7fd3723636d
Signed-off-by: Will Lahti <wtlahti@us.ibm.com>
This commit is contained in:
Will Lahti 2019-07-02 12:50:18 -04:00
parent 0acd3eb935
commit 0254d67b37
6 changed files with 64 additions and 64 deletions

View file

@ -101,21 +101,21 @@ if [ "${NO_CHAINCODE}" != "true" ]; then
## approve the definition for org1 ## approve the definition for org1
approveForMyOrg 1 0 1 approveForMyOrg 1 0 1
## query the approval status on both orgs, expect org1 to have approved and org2 not to ## simulate committing the chaincode definition, expect org1 to have approved and org2 not to
queryStatus 1 0 1 "\"Org1MSP\": true" "\"Org2MSP\": false" simulateCommitChaincodeDefinition 1 0 1 "\"Org1MSP\": true" "\"Org2MSP\": false"
queryStatus 1 0 2 "\"Org1MSP\": true" "\"Org2MSP\": false" simulateCommitChaincodeDefinition 1 0 2 "\"Org1MSP\": true" "\"Org2MSP\": false"
## now approve also for org2 ## now approve also for org2
approveForMyOrg 1 0 2 approveForMyOrg 1 0 2
## query the approval status on both orgs, expect them both to have approved ## simulate committing the chaincode definition again, expect them both to have approved
queryStatus 1 0 1 "\"Org1MSP\": true" "\"Org2MSP\": true" simulateCommitChaincodeDefinition 1 0 1 "\"Org1MSP\": true" "\"Org2MSP\": true"
queryStatus 1 0 2 "\"Org1MSP\": true" "\"Org2MSP\": true" simulateCommitChaincodeDefinition 1 0 2 "\"Org1MSP\": true" "\"Org2MSP\": true"
## now that we know for sure both orgs have approved, commit the definition ## now that we know for sure both orgs have approved, commit the definition
commitChaincodeDefinition 1 0 1 0 2 commitChaincodeDefinition 1 0 1 0 2
## query on both orgs to see that the definition committed ok ## query on both orgs to see that the definition committed successfully
queryCommitted 1 0 1 queryCommitted 1 0 1
queryCommitted 1 0 2 queryCommitted 1 0 2

View file

@ -211,14 +211,14 @@ commitChaincodeDefinition() {
echo echo
} }
# queryStatus VERSION PEER ORG # simulateCommitChaincodeDefinition VERSION PEER ORG
queryStatus() { simulateCommitChaincodeDefinition() {
VERSION=$1 VERSION=$1
PEER=$2 PEER=$2
ORG=$3 ORG=$3
shift 3 shift 3
setGlobals $PEER $ORG setGlobals $PEER $ORG
echo "===================== Querying approval status on peer${PEER}.org${ORG} on channel '$CHANNEL_NAME'... ===================== " echo "===================== Simulating the commit of the chaincode definition on peer${PEER}.org${ORG} on channel '$CHANNEL_NAME'... ===================== "
local rc=1 local rc=1
local starttime=$(date +%s) local starttime=$(date +%s)
@ -228,9 +228,9 @@ queryStatus() {
test "$(($(date +%s) - starttime))" -lt "$TIMEOUT" -a $rc -ne 0 test "$(($(date +%s) - starttime))" -lt "$TIMEOUT" -a $rc -ne 0
do do
sleep $DELAY sleep $DELAY
echo "Attempting to Query approval status on peer${PEER}.org${ORG} ...$(($(date +%s) - starttime)) secs" echo "Attempting to simulate committing the chaincode definition on peer${PEER}.org${ORG} ...$(($(date +%s) - starttime)) secs"
set -x set -x
peer lifecycle chaincode queryapprovalstatus --channelID $CHANNEL_NAME --name mycc $PEER_CONN_PARMS --version ${VERSION} --sequence ${VERSION} --init-required >&log.txt peer lifecycle chaincode simulatecommit --channelID $CHANNEL_NAME --name mycc $PEER_CONN_PARMS --version ${VERSION} --sequence ${VERSION} --init-required >&log.txt
res=$? res=$?
set +x set +x
test $res -eq 0 || continue test $res -eq 0 || continue
@ -243,9 +243,9 @@ queryStatus() {
echo echo
cat log.txt cat log.txt
if test $rc -eq 0; then if test $rc -eq 0; then
echo "===================== Query approval status successful on peer${PEER}.org${ORG} on channel '$CHANNEL_NAME' ===================== " echo "===================== Simulating the commit of the chaincode definition successful on peer${PEER}.org${ORG} on channel '$CHANNEL_NAME' ===================== "
else else
echo "!!!!!!!!!!!!!!! Query approval status result on peer${PEER}.org${ORG} is INVALID !!!!!!!!!!!!!!!!" echo "!!!!!!!!!!!!!!! Simulate commit chaincode definition result on peer${PEER}.org${ORG} is INVALID !!!!!!!!!!!!!!!!"
echo "================== ERROR !!! FAILED to execute End-2-End Scenario ==================" echo "================== ERROR !!! FAILED to execute End-2-End Scenario =================="
echo echo
exit 1 exit 1

View file

@ -35,13 +35,13 @@ setGlobals() {
fi fi
} }
queryStatus() { simulateCommitChaincodeDefinition() {
VERSION=$1 VERSION=$1
PEER=$2 PEER=$2
ORG=$3 ORG=$3
shift 3 shift 3
setGlobals $PEER $ORG setGlobals $PEER $ORG
echo "===================== Querying approval status on peer${PEER}.org${ORG} ===================== " echo "===================== Simulating the commit of the chaincode definition on peer${PEER}.org${ORG} ===================== "
local rc=1 local rc=1
local starttime=$(date +%s) local starttime=$(date +%s)
@ -51,9 +51,9 @@ queryStatus() {
test "$(($(date +%s) - starttime))" -lt "$TIMEOUT" -a $rc -ne 0 test "$(($(date +%s) - starttime))" -lt "$TIMEOUT" -a $rc -ne 0
do do
sleep $DELAY sleep $DELAY
echo "Attempting to Query approval status on peer${PEER}.org${ORG} ...$(($(date +%s) - starttime)) secs" echo "Attempting to simulate committing the chaincode definition on peer${PEER}.org${ORG} ...$(($(date +%s) - starttime)) secs"
set -x set -x
peer lifecycle chaincode queryapprovalstatus --channelID $CHANNEL_NAME --name $CC_NAME --signature-policy "OR('Org1MSP.peer', 'Org2MSP.peer')" --version ${VERSION} --init-required --sequence ${VERSION} >&log.txt peer lifecycle chaincode simulatecommit --channelID $CHANNEL_NAME --name $CC_NAME --signature-policy "OR('Org1MSP.peer', 'Org2MSP.peer')" --version ${VERSION} --init-required --sequence ${VERSION} >&log.txt
res=$? res=$?
set +x set +x
test $res -eq 0 || continue test $res -eq 0 || continue
@ -66,9 +66,9 @@ queryStatus() {
echo echo
cat log.txt cat log.txt
if test $rc -eq 0; then if test $rc -eq 0; then
echo "===================== Query approval status successful on peer${PEER}.org${ORG} ===================== " echo "===================== Simulating the commit of the chaincode definition successful on peer${PEER}.org${ORG} ===================== "
else else
echo "!!!!!!!!!!!!!!! Query approval status result on peer${PEER}.org${ORG} is INVALID !!!!!!!!!!!!!!!!" echo "!!!!!!!!!!!!!!! Simulate commit chaincode definition result on peer${PEER}.org${ORG} is INVALID !!!!!!!!!!!!!!!!"
echo "================== ERROR !!! FAILED to execute End-2-End Scenario ==================" echo "================== ERROR !!! FAILED to execute End-2-End Scenario =================="
echo echo
exit 1 exit 1

View file

@ -1,38 +0,0 @@
#
# Copyright IBM Corp All Rights Reserved
#
# SPDX-License-Identifier: Apache-2.0
#
queryStatus() {
echo "===================== Querying approval status for ${CORE_PEER_LOCALMSPID} ===================== "
local rc=1
local starttime=$(date +%s)
# continue to poll
# we either get a successful response, or reach TIMEOUT
while
test "$(($(date +%s) - starttime))" -lt "$TIMEOUT" -a $rc -ne 0
do
echo "Attempting to Query approval status for ${CORE_PEER_LOCALMSPID} ...$(($(date +%s) - starttime)) secs"
set -x
peer lifecycle chaincode queryapprovalstatus -o irs-orderer:7050 --channelID irs --signature-policy "AND(OR('partya.peer','partyb.peer','partyc.peer'), 'auditor.peer')" --name irscc --version 1 --init-required --sequence 1 >&log.txt
res=$?
set +x
test $res -eq 0 || continue
let rc=0
for var in "$@"
do
grep "$var" log.txt &>/dev/null || let rc=1
done
done
echo
cat log.txt
if test $rc -eq 0; then
echo "===================== Query approval status successful for ${CORE_PEER_LOCALMSPID} ===================== "
else
echo "!!!!!!!!!!!!!!! Query approval status result for ${CORE_PEER_LOCALMSPID} !!!!!!!!!!!!!!!!"
echo "================== ERROR !!! FAILED to execute End-2-End Scenario =================="
echo
exit 1
fi
}

View file

@ -73,13 +73,13 @@ approveChaincode() {
done done
} }
queryApproved() { simulateCommitChaincode() {
for org in partya partyb partyc auditor rrprovider for org in partya partyb partyc auditor rrprovider
do do
export CORE_PEER_LOCALMSPID=$org export CORE_PEER_LOCALMSPID=$org
export CORE_PEER_ADDRESS=irs-$org:7051 export CORE_PEER_ADDRESS=irs-$org:7051
export CORE_PEER_MSPCONFIGPATH=/opt/gopath/src/github.com/hyperledger/fabric/peer/crypto/peerOrganizations/$org.example.com/users/Admin@$org.example.com/msp export CORE_PEER_MSPCONFIGPATH=/opt/gopath/src/github.com/hyperledger/fabric/peer/crypto/peerOrganizations/$org.example.com/users/Admin@$org.example.com/msp
queryStatus "\"partya\": true" "\"partyb\": true" "\"partyc\": true" "\"auditor\": true" "\"rrprovider\": true" simulateCommit "\"partya\": true" "\"partyb\": true" "\"partyc\": true" "\"auditor\": true" "\"rrprovider\": true"
done done
} }
@ -162,11 +162,11 @@ queryPackage
echo "Approving chaincode..." echo "Approving chaincode..."
approveChaincode approveChaincode
. scripts/query-status.sh . scripts/simulate-commit.sh
# Query approval status # Simulate committing the chaincode definition
echo "querying approval status..." echo "Simulate committing the chaincode definition..."
queryApproved simulateCommitChaincode
# Commit chaincode definition # Commit chaincode definition
echo "Committing chaincode definition..." echo "Committing chaincode definition..."

View file

@ -0,0 +1,38 @@
#
# Copyright IBM Corp All Rights Reserved
#
# SPDX-License-Identifier: Apache-2.0
#
simulateCommit() {
echo "===================== Simulating the commit of the chaincode definition for ${CORE_PEER_LOCALMSPID} ===================== "
local rc=1
local starttime=$(date +%s)
# continue to poll
# we either get a successful response, or reach TIMEOUT
while
test "$(($(date +%s) - starttime))" -lt "$TIMEOUT" -a $rc -ne 0
do
echo "Attempting to simulate committing the chaincode definition for ${CORE_PEER_LOCALMSPID} ...$(($(date +%s) - starttime)) secs"
set -x
peer lifecycle chaincode simulatecommit -o irs-orderer:7050 --channelID irs --signature-policy "AND(OR('partya.peer','partyb.peer','partyc.peer'), 'auditor.peer')" --name irscc --version 1 --init-required --sequence 1 >&log.txt
res=$?
set +x
test $res -eq 0 || continue
let rc=0
for var in "$@"
do
grep "$var" log.txt &>/dev/null || let rc=1
done
done
echo
cat log.txt
if test $rc -eq 0; then
echo "===================== Simulating the commit of the chaincode definition successful for ${CORE_PEER_LOCALMSPID} ===================== "
else
echo "!!!!!!!!!!!!!!! Simulate commit chaincode definition result for ${CORE_PEER_LOCALMSPID} is INVALID !!!!!!!!!!!!!!!!"
echo "================== ERROR !!! FAILED to execute End-2-End Scenario =================="
echo
exit 1
fi
}